%define name		psi-qca-tls
%define src_name	qca-tls
%define version		1.0
%define release		1mdk

%define summary		SSL/TLS Plugin for Psi

Summary:	%summary
Name:	 	%name
Version:	%version
Release:	%release
License:	GPL
Group:		Networking/Instant messaging
URL:		http://psi.affinix.com/
Source:		%src_name-%version.tar.bz2
BuildRoot:	%_tmppath/%name-buildroot
Requires:	psi >= 0.9.1
BuildRequires:	openssl-devel >= 0.9.7, qt3-devel >= 3.1
Conflicts:	psi-qssl

%description
This is a plugin to provide SSL/TLS capability to programs that
utilize the Qt Cryptographic Architecture (QCA).

%prep
%setup -q -n %{src_name}-%{version}

%build
QTDIR=%{_libdir}/qt3
QMAKESPEC="linux-g++"
export QTDIR QMAKESPEC
#$QTDIR/bin/qmake qssl.pro

./configure --qtdir=$QTDIR
%make

%install
rm -rf %{buildroot}
%makeinstall INSTALL_ROOT=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc README
%dir %{_libdir}/qt3/plugins/crypto
%{_libdir}/qt3/plugins/crypto/*

%changelog
* Mon Jan 5 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 1.0-1mdk
- initial release, based on psi-qssl which is obsolete for psi >= 0.9.1

